Subject: bug#37527: [PATCH] Install C source code for for debugging help

From: Paul Eggert <[email-masked]>
Date: Tue, 21 Jan 2020 09:48:39 -0800

On 1/21/20 9:02 AM, Eli Zaretskii wrote:
> Should we really step on source-directory like that?  What if
> the original source tree still exists?

Those assignments occur when you're running out of a just-built Emacs, and the 
intent is that they set source-directory to the original source tree. They're 
helpful in a typical just-built case when you haven't installed yet; if we 
omitted the assignments, C-h f etc. wouldn't find the source code automatically.

> Maybe it would be safer to
> introduce a new variable, say, install-source-directory?

I don't offhand see why that'd be safer. It would be more complicated, and the 
complexity would make it less safe.